org.eclipse.ease.ui.scripts.expressions.definitions

## Class AbstractCompositeExpressionDefinition

- java.lang.Object
- - org.eclipse.ease.ui.scripts.expressions.definitions.AbstractExpressionDefinition
  - - org.eclipse.ease.ui.scripts.expressions.definitions.AbstractCompositeExpressionDefinition

All Implemented Interfaces:
  ICompositeExpressionDefinition, IExpressionDefinition

Direct Known Subclasses:
  AdaptExpressionDefinition, AndExpressionDefinition, IterateExpressionDefinition, NotExpressionDefinition, OrExpressionDefinition, RootExpressionDefinition, WithExpressionDefinition

    public abstract class AbstractCompositeExpressionDefinition
    extends AbstractExpressionDefinition
    implements ICompositeExpressionDefinition

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ease.ui.scripts.expressions.definitions.AbstractExpressionDefinition

`AbstractExpressionDefinition.Parameter`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCompositeExpressionDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsChild()`
`boolean` `addChild(IExpressionDefinition expression)`
`java.util.List<IExpressionDefinition>` `getChildren()`
`void` `removeChild(IExpressionDefinition element)`
`java.lang.String` `serialize()`

### Methods inherited from class org.eclipse.ease.ui.scripts.expressions.definitions.AbstractExpressionDefinition

`getDescription, getParameters, getParent, hasParameter, setConfiguration, setParameter, setParameterValues, setParent, toCoreExpression, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.ui.scripts.expressions.IExpressionDefinition

`getDescription, getParent, hasParameter, setParameter, setParameterValues, setParent, toCoreExpression`

### Constructor Detail

#### AbstractCompositeExpressionDefinition

    public AbstractCompositeExpressionDefinition()

### Method Detail

#### acceptsChild

    public boolean acceptsChild()

Specified by:
  `acceptsChild` in interface `ICompositeExpressionDefinition`

#### addChild

    public boolean addChild(IExpressionDefinition expression)

Specified by:
  `addChild` in interface `ICompositeExpressionDefinition`

#### getChildren

    public java.util.List<IExpressionDefinition> getChildren()

Specified by:
  `getChildren` in interface `ICompositeExpressionDefinition`

#### removeChild

    public void removeChild(IExpressionDefinition element)

Specified by:
  `removeChild` in interface `ICompositeExpressionDefinition`

#### serialize

    public java.lang.String serialize()

Specified by:
  `serialize` in interface `IExpressionDefinition`
Overrides:
  `serialize` in class `AbstractExpressionDefinition`